#define MAXX	640
#define MAXY	349

#define NUM_ESTRELLAS					50

#define SEP_V			18   /* separacin entre puntos de vista */

#define SEPARAC_VEN		200	/* distancia entre centros de ventana */
#define VENANCHO		SEPARAC_VEN
#define VENALTO     (MAXY*.6)
#define VENY        (MAXY/2)

#define VEN1IZQ     (( MAXX / 2 ) - SEPARAC_VEN )
#define VEN1DER     ( MAXX / 2-1 )
#define VEN2IZQ     ( MAXX / 2+1 )
#define VEN2DER     (( MAXX / 2 ) + SEPARAC_VEN )
#define VENARR      ( VENY + 1 - (VENALTO-1) / 2 )
#define VENABJ      ( VENY + ( VENALTO / 2 ))

#define MID    							640/2
#define	MAXP							260
#define MAX_VEL_TANQUE					40
#define TIEMPO_PROYECTIL_EN_AIRE		400
#define PROYECTIL_VELOCIDAD				10
#define NUM_PROYECTILES					40
#define ALTURA_PUNTO_DE_VISTA			41

#define	ESC			0x1b
#define COLOR		0xFFFF / 2

#define PI			3.14159
#define _GRADOS		*PI/180




#include <math.h>
#include <graphics.h>
#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include <dos.h>


/* VARIABLES EXTERNAS */




struct movil1 { float vel;
				float x;
				float y;
				float z;
				float fi;
				float step_fi;  };

struct movil2 {
				float fi;
				float step_fi;  };

struct movil3 {
				float x;
				float y;
				float z;
				float dx;
				float dy;
				float fi;
				int en_aire; };



